Main Page Class Hierarchy Alphabetical List Compound List Examples

List of all members
MultipartDigest Struct Reference

multipart/digest entity class More...

`#include <message.h>`

Inheritance diagram for MultipartDigest:

## Additional Inherited Members

Public Member Functions inherited from MimeEntity
| MimeEntity ()
template<typename Iterator>
| MimeEntity (Iterator beg, Iterator end, int mask=imNone)
| MimeEntity (std::istream &)
template<typename OutputIt>
size_type | copy (OutputIt out)
Header & | header ()
const Header & | header () const
Body & | body ()
const Body & | body () const
template<typename Iterator>
void | load (Iterator, Iterator, int mask=imNone)
void | load (std::istream &, int mask=imNone)
bool | hasField (const std::string &) const
size_type | size () const
Protected Member Functions inherited from MimeEntity
void | commonInit ()
virtual std::ostream & | write (std::ostream &, const char *eol=0) const
Protected Attributes inherited from MimeEntity
Header | m_header
Body | m_body
size_type | m_lines
size_type | m_size

## Detailed Description

multipart/digest entity class

The documentation for this struct was generated from the following file:

- message.h